#### org.gnome.OnlineAccounts.OAuth2Based D-Bus Interface [src]

# org.gnome.OnlineAccounts.OAuth2Based

## Description

An account object implements this interface if OAuth 2.0 tokens are used for accessing it.

### Properties

### org.gnome.OnlineAccounts.OAuth2Based:ClientId

        ClientId readable s

The client id.

### org.gnome.OnlineAccounts.OAuth2Based:ClientSecret

        ClientSecret readable s

The client secret.

### Methods

### org.gnome.OnlineAccounts.OAuth2Based.GetAccessToken

        GetAccessToken (
          OUT access_token s,
          OUT expires_in i
        )

Use this method to obtain an access token that can be used to access services for the account. Because networking is involved, this method may take a very long time to complete.

Note that calls to this method are logged.